From: David Moore <dcm@MIT.EDU>

There is a trivial typo in drivers/input/mouse/alps.c.  In case you
don't already know about it, here is a patch against 2.6.12.1.  The
symptom was that certain Alps touchpads would be inoperative upon resume
from suspend.

There is also a RedHat bug open here, which I have responded to:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=161546

Signed-off-by: Vojtech Pavlik <vojtech@suse.cz>


Index: dmitry/drivers/input/mouse/alps.c
===================================================================
--- dmitry.orig/drivers/input/mouse/alps.c	2005-07-05 16:25:15.000000000 +0200
+++ dmitry/drivers/input/mouse/alps.c	2005-07-05 16:28:45.000000000 +0200
@@ -358,7 +358,7 @@
 	if (!(priv->i = alps_get_model(psmouse, &version)))
 		return -1;
 
-	if (priv->i->flags & ALPS_PASS && alps_passthrough_mode(psmouse, 1))
+	if ((priv->i->flags & ALPS_PASS) && alps_passthrough_mode(psmouse, 1))
 		return -1;
 
 	if (alps_get_status(psmouse, param))
@@ -372,7 +372,7 @@
 		return -1;
 	}
 
-	if (priv->i->flags == ALPS_PASS && alps_passthrough_mode(psmouse, 0))
+	if ((priv->i->flags & ALPS_PASS) && alps_passthrough_mode(psmouse, 0))
 		return -1;
 
 	return 0;
